Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSEGetArray

gives read-write access to the array where the device data for a `MATSEQAIJHIPSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSEGetArray(Mat A, PetscScalar *a[])

Not Collective

## Input Parameter

- A - a `MATSEQAIJHIPSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

May trigger host-device copies if up-to-date matrix data is on host

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetArrayRead()`, `MatSeqAIJHIPSPARSEGetArrayWrite()`, `MatSeqAIJHIPSPARSERestoreArray()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages